<?php

$content = '';
$content .= '<div class="filed-group fds-form-field">';
$args = array(
    'type' => 'single',
    'id' => 'restaurant_id',
    'name' => 'restaurant_id',
    'classes' => 'select_menu post-filed restaurant-dropdown',
    'label' => esc_html__('select restaurant', 'wp-foodsearch'),
    'placeholder' => '',
    'required' => 'true',
    'selected' => '',
    'return' => true,
);
$content .= $foodsearch_form_fields->select_field($args);


$content .= '</div><div class="filed-group fds-form-field">';
$args = array(
    'type' => 'text',
    'id' => 'title',
    'name' => 'name',
    'classes' => 'post-filed fds-input-style',
    'label' => esc_html__('title', 'wp-foodsearch'),
    'required' => 'true',
    'value' => '',
    'return' => true,
);
$content .= $foodsearch_form_fields->input_field($args);
$content .= ' </div><div class="filed-group fds-form-field">';

$args = array(
    'type' => 'signle',
    'id' => 'min_dropdown',
    'name' => 'min',
    'classes' => 'select_menu post-filed select_dropdown min_dropdown',
    'label' => esc_html__('minimum number of choices', 'wp-foodsearch'),
    'value' => array(0 => '0', 1 => '1'),
    'required' => 'true',
    'selected' => "",
    'field_desc' => esc_html__("enter '0' if this group is optional for your customers", 'wp-foodsearch'),
    'return' => true,
);
$content .= $foodsearch_form_fields->select_field($args);
$content .= ' </div><div class="filed-group fds-form-field">';
$args = array(
    'type' => 'signle',
    'id' => 'max_dropdown',
    'name' => 'max',
    'classes' => 'select_menu post-filed select_dropdown max_dropdown',
    'label' => esc_html__('maximum number of choices', 'wp-foodsearch'),
    'value' => array(1 => '1'),
    'required' => 'true',
    'selected' => '',
    'field_desc' => esc_html__("enter '1' if your customers can only choose 1", 'wp-foodsearch'),
    'return' => true
);
$content .= $foodsearch_form_fields->select_field($args);
$content .= ' </div>';
$content .= '<div class="product_choices"><div class="filed-group"><div class="field_wrapper_outer"><div class="field_wrapper"><div class="item_box"><div id="fooditemFiled">';
$args = array(
    'type' => 'single',
    'id' => '',
    'name' => 'item_id[]',
    'classes' => 'select_menu post-filed food-item-dropdown',
    'label' => esc_html__('select food item', 'wp-foodsearch') . ' <a href="javascript:void(0);" class="remove_button fds-link" title="' . esc_html__('remove field', 'wp-foodsearch') . '"><i class="dashicons-before dashicons-trash"></i></a>',
    'placeholder' => 'Select Item',
    'return' => true
);
$content .= $foodsearch_form_fields->select_field($args);
$content .= ' <br>';
$args = array(
    'type' => 'number',
    'id' => '',
    'name' => 'item_price[]',
    'classes' => 'post-filed fds-input-style',
    'label' => esc_html__('price', 'wp-foodsearch'),
    'placeholder' => esc_html__('price', 'wp-foodsearch'),
    'return' => true
);
$content .= $foodsearch_form_fields->input_field($args);
$content .= '</div></div></div> <div class="fds-btn fds-large-btn"><a href="javascript:void(0);" class="add_button fds-has-save fds-link" title="Add field">' . esc_html__('+ add food item', 'wp-foodsearch') . '</a></div></div></div></div>';
$content .= '<div class="filed-group">';
ob_start();
wp_nonce_field('choice_group', 'choice_group_nonce');
$content .= ob_get_clean();

$content .= '<div class="fds-btn fds-medium-btn">';
$args = array(
    'type' => 'button',
    'id' => 'choseGroupSaveBtn',
    'name' => 'save_menu',
    'classes' => 'submit_btn fds-has-bg',
    'value' => esc_html__('save', 'wp-foodsearch'),
    'return' => true
);
$content .= $foodsearch_form_fields->button($args);
$content .= '</div>';
$content .= '</div>';

$responsedata = array('status' => 'success', 'html' => $content);
wp_send_json($responsedata);
wp_die();
