<div class="page-wrapper">
    <!-- Page-body start -->
    <div class="page-body">
        <!-- Table header styling table start -->
        <div class="das-card">
            <div class="das-card-header">
                <h5><?php echo esc_html__('menu categories', 'wp-foodsearch'); ?>
                    <button id="myBtn" class="float-right"><?php echo esc_html__('add new', 'wp-foodsearch'); ?></button>
                </h5>

            </div>
            <div class="menu-form">
                <form action="" method="post">
                    <div class="filed-group">
                        <label class="fds-input-label"><?php echo esc_html__('image', 'wp-foodsearch'); ?></label>
                        <!-- my custom value input -->
                        <a href="#" class="fds-upload fds-link"><?php echo esc_html__('upload image', 'wp-foodsearch'); ?></a>
                        <input type="hidden" name="image" value="">
                        <a href="#" class="fds-remove fds-link"
                           style="display:none"><?php echo esc_html__('remove image', 'wp-foodsearch'); ?></a>
                    </div>
                    <div class="filed-group">
                        <label class="fds-input-label"><?php echo esc_html__('title', 'wp-foodsearch'); ?></label>
                        <!-- my custom value input -->
                        <input type="text" name="title" class="post-filed">
                    </div>
                    <div class="filed-group fds-select-field">
                        <label class="fds-input-label"><?php echo esc_html__('category', 'wp-foodsearch'); ?></label>
                        <select class="select_menu post-filed food-item-category-dropdown" data-placeholder="<?php esc_html_e('select category', 'wp-foodsearch') ?>" name="parent_id">
                        </select>
                    </div>
                    <div class="filed-group">
                        <label class="fds-input-label"><?php echo esc_html__('details', 'wp-foodsearch'); ?></label>
                        <!-- my custom value input -->
                        <textarea name="details" class="post-filed"></textarea>
                    </div>
                    <input type="hidden" name="action" value="add_category"/>
                    <?php
                    wp_nonce_field('foodsearch_add_menu_category', '_nonce');
                    ?>
                    <div class="filed-group">
                        <button name="save_menu" class="submit_btn" type="button" id="menuItemSaveBtn"><?php echo esc_html__('save', 'wp-foodsearch'); ?></button>
                    </div>
                </form>
            </div>
            <div class="das-card-block table-border-style">
                    <?php
                    $data = SELF::menuCategoriesList();
                    echo $data['pagenation'];
                    ?>
                    <table class="table table-styling">
                        <thead>
                        <tr class="table-primary">
                            <th>#</th>
                            <th></th>
                            <th><?php echo esc_html__('title', 'wp-foodsearch'); ?></th>
                            <th><?php echo esc_html__('slug', 'wp-foodsearch'); ?></th>
                            <th><?php echo esc_html__('parent', 'wp-foodsearch'); ?></th>
                            <th><?php echo esc_html__('details', 'wp-foodsearch'); ?></th>
                            <th><?php echo esc_html__('action', 'wp-foodsearch'); ?></th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php

                        echo $data['content'];
                        ?>
                        </tbody>
                    </table>
                    <?php
                    echo $data['pagenation'];
                    ?>
            </div>

        </div>
        <!-- Table header styling table end -->
    </div>
    <!-- Page-body end -->
</div>