<?php

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 */
class FoodSearch_Plugin_Deactivator {

    /**
     * Short Description. (use period)
     *
     * Long Description.
     *
     * @since    1.0.0
     */
    public static function deactivate() {
        update_option('wp_foodsearch_plugin_active', 'no');
        do_action('foodsearch_plugin_deactivator_hook');
        
    }

}
