<?php

namespace FoodSearch;

class Email_Builder extends Email_Settings {

    public function __construct() {
        
        add_filter('foodsearch_all_plugin_settings_html', array($this, 'email_edit'), 5, 3);
    }
    
    public function email_edit($html, $settings_tab, $settings_obj) {
        $email_tabs = $this->email_tabs();
        
        $section = isset($_GET['section']) ? $_GET['section'] : '';
        
        if (
            isset($_GET['tab']) && $_GET['tab'] == 'email_settings' &&
            isset($_GET['action']) && $_GET['action'] == 'fds-email-editor' &&
            $section != '' && in_array($section, $email_tabs)
        ) {
            $setting_fields = $settings_obj->setting_fields;
            $sec_id = isset($setting_fields[$section]['id']) ? $setting_fields[$section]['id'] : '';
            $sec_fields = isset($setting_fields[$section]['fields']) ? $setting_fields[$section]['fields'] : '';
            $field_id = isset($_GET['email']) ? $_GET['email'] : '';
            
            $show_builder = false;
            if (!empty($sec_fields)) {
                foreach ($sec_fields as $sec_field_itm) {
                    if (isset($sec_field_itm['id']) && $sec_field_itm['id'] == $field_id) {
                        $show_builder = true;
                        break;
                    }
                }
            }
            
            if ($show_builder) {
                $html = $this->builder_html($sec_id, $field_id);
            }
        }
        
        return $html;
    }
    
    private function builder_html($sec_id, $field_id) {
        
        $tab = $_GET['tab'];
        $section = $_GET['section'];
        
        ob_start();
        ?>
        <div class="fds-email-builder">
            
        </div>
        <?php
        $html = ob_get_clean();
        
        return $html;
    }

}

new Email_Builder();

