<?php
  $terms = get_terms( array(
    'taxonomy' => 'food_cuisine',
    'hide_empty' => true,
  ) );

  $arr = array();
  if ( isset($_GET['cuisine']) && !is_array($_GET['cuisine']) ) {
    $arr = (array) explode (",", $_GET['cuisine']);
  }
  else if ( isset($_GET['cuisine'])) {
    $arr = $_GET['cuisine'];
  }

    foreach ($terms as $term){
        $cuisine_type_checked = "";
        if ( isset($_GET['cuisine']) && in_array($term->term_id, $arr) ) {
            $cuisine_type_checked = 'checked="checked"';
        }
    ?>
        <li class="fds-list-item">
            <input type="checkbox" name="cuisine[]" value="<?php echo $term->term_id; ?>" <?php echo $cuisine_type_checked; ?> />
            <label class="fds-radio-style"><?php echo $term->name; ?></label>
            <small><?php echo foodsearch_count_cuisines($term->term_id); ?></small>
        </li>
<?php } ?>
