var foodsearch_dashboard_builder = {
    add_new_manu: function (this_obj) {
        var _this = jQuery(this_obj);
        var this_html = _this.html();
        var builder_type = _this.attr('data-type');
        var main_con = jQuery('.dashboard-builder-mainholdr');
        var no_menu_con = main_con.find('.no-dashmenu-found');
        var menus_con = main_con.find('.builder-menu-mainholdr');
        _this.html('<div class="fds-loader-holder"><div class="fds-loader"></div></div>');
        var addin_newmenu = jQuery.ajax({
            type: "post",
            dataType: "json",
            url: dashboard_builder_strings.site_url + 'wp/v1/add-dashboard-sidemenu',
            data: {
                builder_type: builder_type,
                _wp_nonce: dashboard_builder_strings.nonce,
            },
            beforeSend: function (xhr) {
                if(dashboard_builder_strings.adminCheck!='true'){
                    xhr.setRequestHeader('X-WP-Nonce', dashboard_builder_strings.wpnonce);
                }                
            }
        });
        addin_newmenu.done(function (response) {
            var msg_rand = Math.floor(Math.random() * 1000000) + 1;
            if (response.html != '') {
                no_menu_con.hide();
                menus_con.append(response.html);
                var new_menu_id = menus_con.find('.dashb-menu-conitm').last().attr('data-id');
                //
                foodsearch_dashboard_builder.sorting_menus();
                foodsearch_dashboard_builder.init_sortable(new_menu_id);
                foodsearch_dashboard_builder.save_menu_by_id(new_menu_id, builder_type);
            }
            _this.html(this_html);
            foodsearch_submit_msg_alert('alert-msg-' + msg_rand, response.msg, 'fds-alert-success');
        });
        addin_newmenu.fail(function (jqXHR, textStatus) {
            _this.html(this_html);
        });
    },
    save_menu_by_id: function (menu_id, builder_type) {
        var data_str = jQuery('#dashb-menu-itm' + menu_id).find('input[name^="dashboard_menu_items"],select[name^="dashboard_menu_items"]').serialize();
        var savin_menu = jQuery.ajax({
            type: "post",
            dataType: "json",
            url: dashboard_builder_strings.site_url + 'wp/v1/saving-dashboard-menu-byid',
            data: data_str + '&menu_id=' + menu_id + '&builder_type=' + builder_type + '&_wp_nonce=' + dashboard_builder_strings.nonce,
            beforeSend: function (xhr) {
                 if(dashboard_builder_strings.adminCheck!='true'){
                    xhr.setRequestHeader('X-WP-Nonce', dashboard_builder_strings.wpnonce);
                } 
            }
        });
        savin_menu.done(function (response) {
            var msg_rand = Math.floor(Math.random() * 1000000) + 1;
            
            foodsearch_submit_msg_alert('alert-msg-' + msg_rand, response.msg, 'fds-alert-success');
        });
    },
    sorting_menus: function () {
        var menu_con = jQuery('.dashboard-builder-mainholdr');
        var menu_itms = menu_con.find('.dashb-menu-conitm');
        
        var builder_type = menu_con.attr('data-btype');
        
        menu_itms.each(function(pos_index) {
            var _thisitm = jQuery(this);
            var sort_pos = pos_index+1;
            //
            var this_id = _thisitm.attr('data-id');
            _thisitm.find('input[name="dashboard_menu_items[' + this_id + '][sort]"]').val(sort_pos);
        });
        
        var data_str = menu_con.find('input[name^="dashboard_menu_items"]').serialize();
        jQuery.ajax({
            type: "post",
            dataType: "json",
            url: dashboard_builder_strings.site_url + 'wp/v1/sort-dashb-menu-items',
            data: data_str + '&builder_type=' + builder_type + '&_wp_nonce=' + dashboard_builder_strings.nonce,
            beforeSend: function (xhr) {
                 if(dashboard_builder_strings.adminCheck!='true'){
                    xhr.setRequestHeader('X-WP-Nonce', dashboard_builder_strings.wpnonce);
                } 
            }
        });
    },
    menu_items_sorting: function () {
        jQuery(".builder-menu-mainholdr").sortable({
            items: '.dashb-menu-conitm',
            placeholder: "ui-state-highlight",
            handle: ".menu-conitm-hder",
            start : function(e, ui) {
                var this_item = ui.item;
                this_item.find('.menu-hdr-btns .dashb-menu-updatebtn').removeClass('menu-openend');
                this_item.find('.menu-hdr-btns .dashb-menu-updatebtn').find('i').attr('class', 'dashicons-before dashicons-arrow-down-alt2');
                this_item.find('.menu-conitm-contnt').hide();
            },
            update : function(e, ui) {
                foodsearch_dashboard_builder.sorting_menus();
            }
        }).disableSelection();
    },
    open_manu_settings: function (this_obj) {
        var _this = jQuery(this_obj);
        var this_parent = _this.parents('.dashb-menu-conitm');
        var this_btn = this_parent.find('.dashb-menu-updatebtn');
        if (this_btn.hasClass('menu-openend')) {
            this_parent.find('.menu-conitm-contnt').slideUp('fast', function() {
                var menu_iner_parent = this_parent.find('.menu-conitm-contnt');
                menu_iner_parent.find('.menu-elments-list').removeAttr('style');
                menu_iner_parent.find('.menu-all-sectscon').removeAttr('style');
                menu_iner_parent.find('.menu-add-sectbtncon').removeAttr('style');
                menu_iner_parent.find('.menu-setinns').removeAttr('style').hide();
                this_parent.find('.menu-hdr-btns .dashb-show-secsetins i').attr('class', 'dashicons-before dashicons-admin-generic');
            });
            this_btn.find('i').attr('class', 'dashicons-before dashicons-arrow-down-alt2');
            this_btn.removeClass('menu-openend');
        } else {
            this_parent.find('.menu-conitm-contnt').slideDown();
            this_btn.find('i').attr('class', 'dashicons-before dashicons-arrow-up-alt2');
            this_btn.addClass('menu-openend');
        }
    },
    open_menu_content: function (this_obj) {
        var _this = jQuery(this_obj);
        var this_parent = _this.parents('.dashb-menu-conitm');
        var menu_iner_parent = this_parent.find('.menu-conitm-contnt');

        menu_iner_parent.find('.menu-elments-list').removeAttr('style');
        menu_iner_parent.find('.menu-all-sectscon').removeAttr('style');
        menu_iner_parent.find('.menu-add-sectbtncon').removeAttr('style');
        menu_iner_parent.find('.menu-setinns').removeAttr('style').hide();
        this_parent.find('.menu-hdr-btns .dashb-show-secsetins i').attr('class', 'dashicons-before dashicons-admin-generic');
        
        if (!menu_iner_parent.is(':visible')) {
            menu_iner_parent.slideDown('fast');
            this_parent.find('.dashb-menu-updatebtn').addClass('menu-openend').find('i').attr('class', 'dashicons-before dashicons-arrow-up-alt2');
        }
    },
    open_menuitem_contsetin_trigr: function (this_obj) {
        var _this = jQuery(this_obj);
        var this_parent = _this.parents('.dashb-menu-conitm');
        var menu_iner_parent = this_parent.find('.menu-conitm-contnt');

        if (!menu_iner_parent.find('.menu-setinns').is(':visible')) {
            menu_iner_parent.find('.menu-elments-list').hide();
            menu_iner_parent.find('.menu-all-sectscon').hide();
            menu_iner_parent.find('.menu-add-sectbtncon').hide();
            menu_iner_parent.find('.menu-setinns').removeAttr('style');
            _this.find('i').attr('class', 'dashicons-before dashicons-no');
        } else {
            menu_iner_parent.find('.menu-elments-list').removeAttr('style');
            menu_iner_parent.find('.menu-all-sectscon').removeAttr('style');
            menu_iner_parent.find('.menu-add-sectbtncon').removeAttr('style');
            menu_iner_parent.find('.menu-setinns').hide();
            _this.find('i').attr('class', 'dashicons-before dashicons-admin-generic');
        }
        
        if (!menu_iner_parent.is(':visible')) {
            
            menu_iner_parent.slideDown('fast');
            this_parent.find('.dashb-menu-updatebtn').addClass('menu-openend').find('i').attr('class', 'dashicons-before dashicons-arrow-up-alt2');
        }
    },
    remove_menu_by_id: function (this_obj, builder_type) {
        var _this = jQuery(this_obj);
        jQuery.fds_confirm_popup({
            message: dashboard_builder_strings.delete_conf_msg,
            buttons: {
                Yes: {
                    class: 'fds-accept-btn',
                    action: function () {
                        var menu_id = _this.parents('.dashb-menu-conitm').attr('data-id');
                        var main_con = jQuery('.dashboard-builder-mainholdr');
                        var no_menu_con = main_con.find('.no-dashmenu-found');
                        var menus_con = main_con.find('.builder-menu-mainholdr');
                        var removin_menu = jQuery.ajax({
                            type: "post",
                            dataType: "json",
                            url: dashboard_builder_strings.site_url + 'wp/v1/remove-dashboard-menu-byid',
                            data: 'menu_id=' + menu_id + '&builder_type=' + builder_type + '&_wp_nonce=' + dashboard_builder_strings.nonce,
                            beforeSend: function (xhr) {
                                 if(dashboard_builder_strings.adminCheck!='true'){
                    xhr.setRequestHeader('X-WP-Nonce', dashboard_builder_strings.wpnonce);
                } 
                            }
                        });
                        removin_menu.done(function (response) {
                            var msg_rand = Math.floor(Math.random() * 1000000) + 1;

                            foodsearch_submit_msg_alert('alert-msg-' + msg_rand, response.msg, 'fds-alert-success');
                        });
                        _this.parents('.dashb-menu-conitm').remove();
                        if (menus_con.find('.dashb-menu-conitm').length == 0) {
                            no_menu_con.removeAttr('style');
                        }
                        jQuery.fds_confirm_popup.hide();
                    },
                },
                No: {
                class: 'fds-decline-btn',
                    action: function () {
                        jQuery.fds_confirm_popup.hide();
                    }
                }
            }
        });
    },
    addin_menu_section: function (this_obj, builder_type) {
        var _this = jQuery(this_obj);
        var this_html = _this.html();
        var menu_con = _this.parents('.dashb-menu-conitm');
        var menu_id = menu_con.attr('data-id');
        var sects_con = menu_con.find('.menu-all-sectscon');
        var addin_new_section = jQuery.ajax({
            type: "post",
            dataType: "json",
            url: dashboard_builder_strings.site_url + 'wp/v1/adding-section-inmenu',
            data: 'menu_id=' + menu_id + '&builder_type=' + builder_type + '&_wp_nonce=' + dashboard_builder_strings.nonce,
            beforeSend: function (xhr) {
                 if(dashboard_builder_strings.adminCheck!='true'){
                    xhr.setRequestHeader('X-WP-Nonce', dashboard_builder_strings.wpnonce);
                } 
            }
        });
        addin_new_section.done(function (response) {

            if (response.html != '') {
                sects_con.append(response.html);
                var new_section_id = sects_con.find('.menu-secton-holder').last().attr('data-id');
                //
                foodsearch_dashboard_builder.sorting_menu_sects(menu_id);
                foodsearch_dashboard_builder.init_sortable(menu_id);
                foodsearch_dashboard_builder.save_menusec_by_id(menu_id, builder_type, new_section_id);
            }
            _this.html(this_html);
            menu_con.find('.menu-elments-list').removeAttr('style');
            
            // add color pickr
            foodsearch_color_pickr_call();
            
            var msg_rand = Math.floor(Math.random() * 1000000) + 1;

            foodsearch_submit_msg_alert('alert-msg-' + msg_rand, response.msg, 'fds-alert-success');
        });
        addin_new_section.fail(function (jqXHR, textStatus) {
            _this.html(this_html);
        });
    },
    save_menusec_by_id: function (menu_id, builder_type, section_id) {
        var data_str = jQuery('#dashb-sect-itm' + section_id).find('input[name^="menu_sect_items"],select[name^="menu_sect_items"]').serialize();
        var savin_section = jQuery.ajax({
            type: "post",
            dataType: "json",
            url: dashboard_builder_strings.site_url + 'wp/v1/saving-menu-section-byid',
            data: data_str + '&menu_id=' + menu_id + '&builder_type=' + builder_type + '&section_id=' + section_id + '&_wp_nonce=' + dashboard_builder_strings.nonce,
            beforeSend: function (xhr) {
                 if(dashboard_builder_strings.adminCheck!='true'){
                    xhr.setRequestHeader('X-WP-Nonce', dashboard_builder_strings.wpnonce);
                } 
            }
        });
        savin_section.done(function (response) {
            var msg_rand = Math.floor(Math.random() * 1000000) + 1;

            foodsearch_submit_msg_alert('alert-msg-' + msg_rand, response.msg, 'fds-alert-success');
        });
    },
    sorting_menu_sects: function (menu_id) {
        var menu_con = jQuery('#dashb-menu-itm' + menu_id);
        var menu_sects = menu_con.find('.menu-secton-holder');
        
        var builder_type = menu_con.parents('.dashboard-builder-mainholdr').attr('data-btype');
        
        menu_sects.each(function(pos_index) {
            var _thisitm = jQuery(this);
            var sort_pos = pos_index+1;
            //
            var this_id = _thisitm.attr('data-id');
            _thisitm.find('input[name="menu_sect_items[' + this_id + '][sort]"]').val(sort_pos);
        });
        
        var data_str = menu_con.find('input[name^="menu_sect_items"]').serialize();
        jQuery.ajax({
            type: "post",
            dataType: "json",
            url: dashboard_builder_strings.site_url + 'wp/v1/sort-dashb-menu-sects',
            data: data_str + '&menu_id=' + menu_id + '&builder_type=' + builder_type + '&_wp_nonce=' + dashboard_builder_strings.nonce,
            beforeSend: function (xhr) {
                 if(dashboard_builder_strings.adminCheck!='true'){
                    xhr.setRequestHeader('X-WP-Nonce', dashboard_builder_strings.wpnonce);
                } 
            }
        });
    },
    menu_sects_sorting: function () {
        jQuery(".menu-all-sectscon").sortable({
            items: '.menu-secton-holder',
            placeholder: "ui-state-highlight",
            handle: ".sec-conitm-hder",
            start : function(e, ui) {
                var this_item = ui.item;
                this_item.find('.sec-conitm-contnt').hide();
            },
            stop : function(e, ui) {
                var this_item = ui.item;
                this_item.find('.sec-conitm-contnt').removeAttr('style');
            },
            update : function(e, ui) {
                var this_item = ui.item;
                var menu_id = this_item.parents('.dashb-menu-conitm').attr('data-id');
                foodsearch_dashboard_builder.sorting_menu_sects(menu_id);
            }
        }).disableSelection();
    },
    open_sect_settins: function (this_obj) {
        var _this = jQuery(this_obj);
        var this_section = _this.parents('.menu-secton-holder');
        var this_i_con = _this.find('i');
        
        var elements_con = this_section.find('.sect-elments-hldrcon');
        var setins_con = this_section.find('.sect-setins-con');
        
        if (_this.hasClass('in-setins')) {
            setins_con.hide();
            elements_con.removeAttr('style');
            _this.removeClass('in-setins');
            this_i_con.attr('class', 'dashicons-before dashicons-admin-generic');
        } else {
            elements_con.hide();
            setins_con.removeAttr('style');
            _this.addClass('in-setins');
            this_i_con.attr('class', 'dashicons-before dashicons-menu-alt');
        }
    },
    remove_sec_by_id: function (this_obj) {
        var _this = jQuery(this_obj);
        jQuery.fds_confirm_popup({
            message: dashboard_builder_strings.delete_conf_msg,
            buttons: {
                Yes: {
                    class: 'fds-accept-btn',
                    action: function () {
                        var builder_type = _this.parents('.dashboard-builder-mainholdr').attr('data-btype');
                        var this_menu = _this.parents('.dashb-menu-conitm');
                        var this_section = _this.parents('.menu-secton-holder');
                        var menu_id = this_menu.attr('data-id');
                        var section_id = this_section.attr('data-id');
                        var removin_menu_sec = jQuery.ajax({
                            type: "post",
                            dataType: "json",
                            url: dashboard_builder_strings.site_url + 'wp/v1/remove-menu-sec-byid',
                            data: 'menu_id=' + menu_id + '&section_id=' + section_id + '&builder_type=' + builder_type + '&_wp_nonce=' + dashboard_builder_strings.nonce,
                            beforeSend: function (xhr) {
                                 if(dashboard_builder_strings.adminCheck!='true'){
                    xhr.setRequestHeader('X-WP-Nonce', dashboard_builder_strings.wpnonce);
                } 
                            }
                        });
                        removin_menu_sec.done(function (response) {

                            if (response.elems != '') {
                                var resp_elems = response.elems;
                                var elem_types_arr = resp_elems.split(',');
                                if (elem_types_arr.length > 0) {
                                    for (var elim = 0; elim < elem_types_arr.length; elim++) {
                                        jQuery('#elemitm-' + elem_types_arr[elim] + '-' + menu_id).removeAttr('style');
                                    }
                                }
                            }
                            var msg_rand = Math.floor(Math.random() * 1000000) + 1;

                            foodsearch_submit_msg_alert('alert-msg-' + msg_rand, response.msg, 'fds-alert-success');
                        });
                        this_section.remove();
                        if (this_menu.find('.menu-secton-holder').length <= 0) {
                            this_menu.find('.menu-elments-list').hide();
                        }
                        jQuery.fds_confirm_popup.hide();
                    },
                },
                No: {
                    class: 'fds-decline-btn',
                    action: function () {
                        jQuery.fds_confirm_popup.hide();
                    }
                }
            }
        });
    },
    sorting_sec_elements: function (section_id) {
        var sec_con = jQuery('#dashb-sect-itm' + section_id);
        var sec_elems = sec_con.find('.sect-elemnt-itmcon');
        
        var menu_id = sec_con.parents('.dashb-menu-conitm').attr('data-id');
        var builder_type = sec_con.parents('.dashboard-builder-mainholdr').attr('data-btype');
        
        sec_elems.each(function(pos_index) {
            var _thisitm = jQuery(this);
            var sort_pos = pos_index+1;
            //
            var this_id = _thisitm.attr('data-id');
            _thisitm.find('input[name="menu_sectelem_items[' + this_id + '][sort]"]').val(sort_pos);
        });
        
        var data_str = sec_con.find('input[name^="menu_sectelem_items"]').serialize();
        jQuery.ajax({
            type: "post",
            dataType: "json",
            url: dashboard_builder_strings.site_url + 'wp/v1/sort-dashb-sec-elements',
            data: data_str + '&menu_id=' + menu_id + '&section_id=' + section_id + '&builder_type=' + builder_type + '&_wp_nonce=' + dashboard_builder_strings.nonce,
            beforeSend: function (xhr) {
                 if(dashboard_builder_strings.adminCheck!='true'){
                    xhr.setRequestHeader('X-WP-Nonce', dashboard_builder_strings.wpnonce);
                } 
            }
        });
    },
    init_sortable: function (menu_id) {
        jQuery("#dashb-menu-itm" + menu_id + " .sect-elments-hldrcon").sortable({
            items: '.sect-elemnt-itmcon',
            connectWith: '#dashb-menu-itm' + menu_id + ' .sect-elments-hldrcon',
            placeholder: "ui-state-highlight",
            handle: ".elem-conitm-hder",
            start : function(e, ui) {
                var this_item = ui.item;
                //
                this_item.find('.elem-hdr-btns .dashb-elem-updatebtn').removeClass('sec-openend');
                //this_item.find('.elem-hdr-btns .dashb-elem-updatebtn').find('i').attr('class', 'dashicons-before dashicons-arrow-down-alt2');
                this_item.find('.elem-conitm-contnt').hide();
                //
                var th_parent = this_item.parents('.menu-secton-holder');
                var section_id = th_parent.attr('data-id');
                th_parent.parents('.dashb-menu-conitm').attr('starting-sec', section_id);
            },
            stop : function(e, ui) {
                var this_item = ui.item;
                var th_parent = this_item.parents('.menu-secton-holder');
                var elemnt_id = this_item.attr('data-id');
                var section_id = th_parent.attr('data-id');
                var this_section = jQuery('#dashb-menu-itm' + menu_id).find('#dashb-sect-itm' + section_id);
                var builder_type = th_parent.parents('.dashboard-builder-mainholdr').attr('data-btype');
                //
                var strt_sec_id = th_parent.parents('.dashb-menu-conitm').attr('starting-sec');
                var strt_section = jQuery('#dashb-menu-itm' + menu_id).find('#dashb-sect-itm' + strt_sec_id);
                th_parent.parents('.dashb-menu-conitm').removeAttr('starting-sec');
                
                if (section_id != strt_sec_id) {
                    var movin_elem_req = jQuery.ajax({
                        type: "post",
                        dataType: "json",
                        url: dashboard_builder_strings.site_url + 'wp/v1/move-secelement-to-other',
                        data: 'menu_id=' + menu_id + '&section_id=' + section_id + '&orig_sec_id=' + strt_sec_id + '&element_id=' + elemnt_id + '&builder_type=' + builder_type + '&_wp_nonce=' + dashboard_builder_strings.nonce,
                        beforeSend: function (xhr) {
                             if(dashboard_builder_strings.adminCheck!='true'){
                    xhr.setRequestHeader('X-WP-Nonce', dashboard_builder_strings.wpnonce);
                } 
                        }
                    });
                    movin_elem_req.done(function () {
                        foodsearch_dashboard_builder.sorting_sec_elements(strt_sec_id);
                        foodsearch_dashboard_builder.sorting_sec_elements(section_id);
                    });
                } else {
                    foodsearch_dashboard_builder.sorting_sec_elements(section_id);
                }
                //
                if (this_section.find('.sect-elemnt-itmcon').length == 0) {
                    this_section.find('.no-secelemnt-con').removeAttr('style');
                } else {
                    this_section.find('.no-secelemnt-con').hide();
                }
                if (strt_section.find('.sect-elemnt-itmcon').length == 0) {
                    strt_section.find('.no-secelemnt-con').removeAttr('style');
                } else {
                    strt_section.find('.no-secelemnt-con').hide();
                }
            }
        }).disableSelection();
        jQuery("#dashb-menu-itm" + menu_id + " .menu-elment-drager").draggable({
            connectToSortable: ".sect-elments-hldrcon",
            containment: "#dashb-menu-itm" + menu_id,
            helper: function(ev) {
                var _this = jQuery(this);
                var apnder_elem = '\
                <div class="sect-elemnt-itmcon" style="width: 40%;">\
                    <div class="elem-conitm-hder">\
                        <div class="elem-itm-label">\
                            <a class="elemn-itm-sorter fds-link"><i class="fds-icon fds-move-drager"></i></a>\
                            <a href="javascript:void(0);" class="elem-itm-lablholdr fds-link"><strong>' + (_this.attr('data-label')) + '</strong></a>\
                        </div>\
                        <div class="elem-hdr-btns">\
                            <a href="javascript:void(0);" class="dashb-elem-updatebtn fds-link"><i class="dashicons-before dashicons-admin-generic"></i></a>\
                            <a href="javascript:void(0);" class="dashb-elem-remvebtn fds-link"><i class="dashicons-before dashicons-trash"></i></a>\
                        </div>\
                    </div>\
                </div>';
                return jQuery(apnder_elem);
            },
            stop: function(e, ui) {
                var _this = jQuery(this);
                //var main_menu_con = jQuery("#dashb-menu-itm" + menu_id);
                var this_helper = ui.helper;
                var th_parent = this_helper.parents('.menu-secton-holder');
                var section_id = th_parent.attr('data-id');
                var builder_type = _this.parents('.dashboard-builder-mainholdr').attr('data-btype');
                var elemnt_type = _this.attr('data-key');
                
                if (section_id !== undefined) {
                    foodsearch_dashboard_builder.add_element_to_sec(_this, ui, elemnt_type, builder_type, menu_id, section_id);
                }
            },
        }).disableSelection();
    },
    add_element_to_sec: function (_this, ui, elemnt_type, builder_type, menu_id, section_id) {
        var this_helper = ui.helper;
        var elemnts_con = this_helper.parents('.sect-elments-hldrcon');
        //
        var element_type = _this.attr('data-key');
        var adding_sec_elem = jQuery.ajax({
            type: "post",
            dataType: "json",
            url: dashboard_builder_strings.site_url + 'wp/v1/add-element-in-section',
            data: 'menu_id=' + menu_id + '&section_id=' + section_id + '&builder_type=' + builder_type + '&elemnt_type=' + elemnt_type + '&_wp_nonce=' + dashboard_builder_strings.nonce,
            beforeSend: function (xhr) {
                 if(dashboard_builder_strings.adminCheck!='true'){
                    xhr.setRequestHeader('X-WP-Nonce', dashboard_builder_strings.wpnonce);
                } 
            }
        });
        adding_sec_elem.done(function (response) {

            if (response.html != '') {
                this_helper.html(response.html);
                var elemnt_orig_iner = this_helper.find('.sect-elemnt-itmcon');
                elemnt_orig_iner.unwrap();
                
                // set sorting of elements
                foodsearch_dashboard_builder.sorting_sec_elements(section_id);
                // set sorting of element fields
                foodsearch_dashboard_builder.sect_elems_sorting();
                
                var draged_elem_id = elemnt_orig_iner.attr('data-id');

                foodsearch_dashboard_builder.save_secelment_by_id(menu_id, builder_type, section_id, draged_elem_id);
            }
            var msg_rand = Math.floor(Math.random() * 1000000) + 1;

            foodsearch_submit_msg_alert('alert-msg-' + msg_rand, response.msg, 'fds-alert-success');
        });
        elemnts_con.find('.no-secelemnt-con').hide();
        var this_elm_btnobj = jQuery('#elemitm-' + element_type + '-' + menu_id);
        if (this_elm_btnobj.attr('data-rem') != 'false') {
            this_elm_btnobj.hide();
        }
    },
    save_secelment_by_id: function (menu_id, builder_type, section_id, element_id) {
        var data_str = jQuery('#dashb-elem-itm' + element_id).find('input[name^="menu_sectelem_items"],select[name^="menu_sectelem_items"]').serialize();
        if (jQuery('#dashb-elem-itm' + element_id).find('input[name^="sectelem_item_setins[' + element_id + ']"]').length > 0) {
            data_str += '&' + jQuery('#dashb-elem-itm' + element_id).find('input[name^="sectelem_item_setins[' + element_id + ']"],select[name^="sectelem_item_setins[' + element_id + ']"]').serialize();
        }
        var savin_sec_elem = jQuery.ajax({
            type: "post",
            dataType: "json",
            url: dashboard_builder_strings.site_url + 'wp/v1/saving-section-element-byid',
            data: data_str + '&menu_id=' + menu_id + '&builder_type=' + builder_type + '&section_id=' + section_id + '&element_id=' + element_id + '&_wp_nonce=' + dashboard_builder_strings.nonce,
            beforeSend: function (xhr) {
                 if(dashboard_builder_strings.adminCheck!='true'){
                    xhr.setRequestHeader('X-WP-Nonce', dashboard_builder_strings.wpnonce);
                } 
            }
        });
        savin_sec_elem.done(function (response) {

            var msg_rand = Math.floor(Math.random() * 1000000) + 1;

            foodsearch_submit_msg_alert('alert-msg-' + msg_rand, response.msg, 'fds-alert-success');
        });
    },
    save_sec_onlyelment_byid: function (menu_id, builder_type, section_id, element_id) {
        var data_str = jQuery('#dashb-elem-itm' + element_id).find('input[name^="menu_sectelem_items"],select[name^="menu_sectelem_items"],textarea[name^="menu_sectelem_items"]').serialize();
        var savin_sec_onlyelem = jQuery.ajax({
            type: "post",
            dataType: "json",
            url: dashboard_builder_strings.site_url + 'wp/v1/saving-sect-onlyelemnt-byid',
            data: data_str + '&menu_id=' + menu_id + '&builder_type=' + builder_type + '&section_id=' + section_id + '&element_id=' + element_id + '&_wp_nonce=' + dashboard_builder_strings.nonce,
            beforeSend: function (xhr) {
                 if(dashboard_builder_strings.adminCheck!='true'){
                    xhr.setRequestHeader('X-WP-Nonce', dashboard_builder_strings.wpnonce);
                } 
            }
        });
        savin_sec_onlyelem.done(function (response) {

            var msg_rand = Math.floor(Math.random() * 1000000) + 1;

            foodsearch_submit_msg_alert('alert-msg-' + msg_rand, response.msg, 'fds-alert-success');
        });
    },
    save_elment_field_bykey: function (menu_id, builder_type, section_id, element_id, field_key) {
        var data_str = jQuery('#dashb-elem-itm' + element_id).find('input[name^="sectelem_item_setins[' + element_id + '][' + field_key + ']"],select[name^="sectelem_item_setins[' + element_id + '][' + field_key + ']"]').serialize();
        var sav_elme_field = jQuery.ajax({
            type: "post",
            dataType: "json",
            url: dashboard_builder_strings.site_url + 'wp/v1/saving-element-field-setins',
            data: data_str + '&menu_id=' + menu_id + '&builder_type=' + builder_type + '&section_id=' + section_id + '&element_id=' + element_id + '&field_key=' + field_key + '&_wp_nonce=' + dashboard_builder_strings.nonce,
            beforeSend: function (xhr) {
                 if(dashboard_builder_strings.adminCheck!='true'){
                    xhr.setRequestHeader('X-WP-Nonce', dashboard_builder_strings.wpnonce);
                } 
            }
        });
        sav_elme_field.done(function (response) {

            var msg_rand = Math.floor(Math.random() * 1000000) + 1;

            foodsearch_submit_msg_alert('alert-msg-' + msg_rand, response.msg, 'fds-alert-success');
        });
    },
    remove_elemitm_by_id: function (this_obj) {
        var _this = jQuery(this_obj);
        jQuery.fds_confirm_popup({
            message: dashboard_builder_strings.delete_conf_msg,
            buttons: {
                Yes: {
                    class: 'fds-accept-btn',
                    action: function () {
                        var builder_type = _this.parents('.dashboard-builder-mainholdr').attr('data-btype');
                        var this_menu = _this.parents('.dashb-menu-conitm');
                        var this_section = _this.parents('.menu-secton-holder');
                        var this_element = _this.parents('.sect-elemnt-itmcon');
                        var menu_id = this_menu.attr('data-id');
                        var section_id = this_section.attr('data-id');
                        var element_id = this_element.attr('data-id');
                        //
                        var element_type = this_element.attr('data-type');
                        var removin_secelem = jQuery.ajax({
                            type: "post",
                            dataType: "json",
                            url: dashboard_builder_strings.site_url + 'wp/v1/remove-sec-element-byid',
                            data: 'menu_id=' + menu_id + '&section_id=' + section_id + '&element_id=' + element_id + '&builder_type=' + builder_type + '&_wp_nonce=' + dashboard_builder_strings.nonce,
                            beforeSend: function (xhr) {
                                 if(dashboard_builder_strings.adminCheck!='true'){
                    xhr.setRequestHeader('X-WP-Nonce', dashboard_builder_strings.wpnonce);
                } 
                            }
                        });
                        removin_secelem.done(function (response) {
                            this_element.remove();
                            jQuery('#elemitm-' + element_type + '-' + menu_id).removeAttr('style');
                            if (this_section.find('.sect-elemnt-itmcon').length == 0) {
                                this_section.find('.no-secelemnt-con').removeAttr('style');
                            }
                            var msg_rand = Math.floor(Math.random() * 1000000) + 1;

                            foodsearch_submit_msg_alert('alert-msg-' + msg_rand, response.msg, 'fds-alert-success');
                        });
                        jQuery.fds_confirm_popup.hide();
                    },
                },
                No: {
                    class: 'fds-decline-btn',
                    action: function () {
                        jQuery.fds_confirm_popup.hide();
                    }
                }
            }
        });
    },
    sorting_element_fields: function (element_id) {
        var elemh_con = jQuery('#dashb-elem-itm' + element_id);
        var elem_fields = elemh_con.find('.elem-itm-mcon');
        
        var menu_id = elemh_con.parents('.dashb-menu-conitm').attr('data-id');
        var section_id = elemh_con.parents('.menu-secton-holder').attr('data-id');
        var builder_type = elemh_con.parents('.dashboard-builder-mainholdr').attr('data-btype');
        
        elem_fields.each(function(pos_index) {
            var _thisitm = jQuery(this);
            var sort_pos = pos_index+1;
            //
            var this_id = _thisitm.attr('data-key');
            _thisitm.find('input[name="sectelem_item_setins[' + element_id + '][' + this_id + '][sort]"]').val(sort_pos);
        });
        
        var data_str = elemh_con.find('input[class="elem-item-sort' + element_id + '"]').serialize();
        jQuery.ajax({
            type: "post",
            dataType: "json",
            url: dashboard_builder_strings.site_url + 'wp/v1/sort-dashb-elem-fields',
            data: data_str + '&menu_id=' + menu_id + '&section_id=' + section_id + '&element_id=' + element_id + '&builder_type=' + builder_type + '&_wp_nonce=' + dashboard_builder_strings.nonce,
            beforeSend: function (xhr) {
                 if(dashboard_builder_strings.adminCheck!='true'){
                    xhr.setRequestHeader('X-WP-Nonce', dashboard_builder_strings.wpnonce);
                } 
            }
        });
    },
    sect_elems_sorting: function () {
        jQuery(".elem-fields-hldrcon").sortable({
            items: '.elem-itm-mcon',
            placeholder: "ui-state-highlight",
            handle: ".elem-emitm-hder",
            start : function(e, ui) {
                var this_item = ui.item;
                this_item.find('.elem-emitm-settins').hide();
            },
            update : function(e, ui) {
                var this_item = ui.item;
                var elment_id = this_item.parents('.sect-elemnt-itmcon').attr('data-id');
                foodsearch_dashboard_builder.sorting_element_fields(elment_id);
            }
        }).disableSelection();
    },
    open_elemitm_conholdr: function (this_obj) {
        var _this = jQuery(this_obj);
        var this_btn = _this.parents('.sect-elemnt-itmcon').find('.dashb-elem-updatebtn');
        if (this_btn.hasClass('sec-openend')) {
            this_btn.parents('.sect-elemnt-itmcon').find('.elem-conitm-contnt').slideUp();
            this_btn.removeClass('sec-openend');
        } else {
            this_btn.parents('.sect-elemnt-itmcon').find('.elem-conitm-contnt').slideDown();
            this_btn.addClass('sec-openend');
        }
    },
    open_elemitm_singsetins: function (this_obj) {
        var _this = jQuery(this_obj);
        _this.parents('.elem-itm-mcon').find('.elem-emitm-settins').slideToggle();
    },
    open_elmitems_consetin_trigr: function (this_obj) {
        var _this = jQuery(this_obj);
        var this_parent = _this.parents('.sect-elemnt-itmcon').find('.elem-conitm-contnt');
        if (this_parent.is(':visible')) {
            if (this_parent.find('.elem-fields-hldrcon').is(':visible')) {
                this_parent.find('.elem-fields-hldrcon').hide();
                this_parent.find('.elem-setins-con').removeAttr('style');
                _this.find('i').attr('class', 'dashicons-before dashicons-menu');
            } else {
                this_parent.find('.elem-fields-hldrcon').removeAttr('style');
                this_parent.find('.elem-setins-con').hide();
                _this.find('i').attr('class', 'dashicons-before dashicons-admin-generic');
            }
        } else {
            var this_btn = _this.parents('.sect-elemnt-itmcon').find('.dashb-elem-updatebtn');
            this_parent.slideDown(function() {
                this_parent.find('.elem-fields-hldrcon').hide();
                this_parent.find('.elem-setins-con').removeAttr('style');
                _this.find('i').attr('class', 'dashicons-before dashicons-menu');
            });
            this_btn.addClass('sec-openend');
        }
    },
    create_menu_slug: function (this_obj) {
        var _this = jQuery(this_obj);
        var field_text = _this.val();
        if (field_text.length > 0) {
            var builder_type = _this.parents('.dashboard-builder-mainholdr').attr('data-btype');
            var this_id = _this.attr('data-id');
            var slug_field = jQuery('input[name="dashboard_menu_items[' + this_id + '][slug]"]');

            var slug_request = jQuery.ajax({
                type: "post",
                dataType: "json",
                url: dashboard_builder_strings.site_url + 'wp/v1/set-dash-builder-menu-slug',
                data: 'text=' + field_text + '&menu_id=' + this_id + '&builder_type=' + builder_type + '&_wp_nonce=' + dashboard_builder_strings.nonce,
                beforeSend: function (xhr) {
                     if(dashboard_builder_strings.adminCheck!='true'){
                    xhr.setRequestHeader('X-WP-Nonce', dashboard_builder_strings.wpnonce);
                } 
                }
            });
            slug_request.done(function (response) {

                if (response.msg != '') {
                    var msg_rand = Math.floor(Math.random() * 1000000) + 1;
                    if (response.error == '0') {
                        foodsearch_submit_msg_alert('alert-msg-' + msg_rand, response.msg, 'fds-alert-success');
                    } else if (response.error == '2') {
                        foodsearch_submit_msg_alert('alert-msg-' + msg_rand, response.msg, 'fds-alert-info');
                    } else {
                        foodsearch_submit_msg_alert('alert-msg-' + msg_rand, response.msg, 'fds-alert-danger');
                    }
                }
                if (response.slug != '') {
                    slug_field.val(response.slug);
                    if (_this.attr('name') != slug_field.attr('name')) {
                        _this.trigger('change');
                        return false;
                    }
                }
                //
            });
        }
    }
}

jQuery(document).ready(function() {
    "use strict";
    foodsearch_dashboard_builder.menu_items_sorting();
    foodsearch_dashboard_builder.menu_sects_sorting();
    foodsearch_dashboard_builder.sect_elems_sorting();
});

jQuery(document).on('change', '.dashb-menu-conitm input[name^="dashboard_menu_items"]:not(.fds-fonticon-pickr),.dashb-menu-conitm select[name^="dashboard_menu_items"]', function() {
    "use strict";
    var _this = jQuery(this);
    var menu_id = _this.parents('.dashb-menu-conitm').attr('data-id');
    var builder_type = _this.parents('.dashboard-builder-mainholdr').attr('data-btype');

    foodsearch_dashboard_builder.save_menu_by_id(menu_id, builder_type);
});

jQuery(document).on('change', '.menu-secton-holder input[name^="menu_sect_items"],.menu-secton-holder select[name^="menu_sect_items"]', function() {
    "use strict";
    var _this = jQuery(this);
    var menu_id = _this.parents('.dashb-menu-conitm').attr('data-id');
    var section_id = _this.parents('.menu-secton-holder').attr('data-id');
    var builder_type = _this.parents('.dashboard-builder-mainholdr').attr('data-btype');

    foodsearch_dashboard_builder.save_menusec_by_id(menu_id, builder_type, section_id);
});

jQuery(document).on('change', '.sect-elemnt-itmcon input[name^="menu_sectelem_items"],.sect-elemnt-itmcon select[name^="menu_sectelem_items"],.sect-elemnt-itmcon textarea[name^="menu_sectelem_items"]', function() {
    "use strict";
    var _this = jQuery(this);
    var menu_id = _this.parents('.dashb-menu-conitm').attr('data-id');
    var section_id = _this.parents('.menu-secton-holder').attr('data-id');
    var builder_type = _this.parents('.dashboard-builder-mainholdr').attr('data-btype');
    var element_id = _this.parents('.sect-elemnt-itmcon').attr('data-id');

    foodsearch_dashboard_builder.save_sec_onlyelment_byid(menu_id, builder_type, section_id, element_id);
});

jQuery(document).on('change', '.elem-itm-mcon input[name^="sectelem_item_setins"],.elem-itm-mcon select[name^="sectelem_item_setins"]', function() {
    "use strict";
    var _this = jQuery(this);
    var menu_id = _this.parents('.dashb-menu-conitm').attr('data-id');
    var section_id = _this.parents('.menu-secton-holder').attr('data-id');
    var builder_type = _this.parents('.dashboard-builder-mainholdr').attr('data-btype');
    var element_id = _this.parents('.sect-elemnt-itmcon').attr('data-id');

    var field_key = _this.parents('.elem-itm-mcon').attr('data-key');

    foodsearch_dashboard_builder.save_elment_field_bykey(menu_id, builder_type, section_id, element_id, field_key);
});

jQuery(document).on('change', '.dashb-opt-chkunchk', function() {
    "use strict";
    var hidn_input = jQuery(this).parents('.chekunchk-opt-box').find('input[type="hidden"]');
    if (jQuery(this).is(":checked")) {
        hidn_input.val('on').trigger('change');
    } else {
        hidn_input.val('').trigger('change');
    }
});