<?php

namespace FoodSearch\Dashboard\Common;

class Custom_Content {
    
    public function __construct() {
        
        add_filter('foodsearch_restaurant_dash_custom_box_html', [$this, 'content'], 10, 4);
        add_filter('foodsearch_customer_dash_custom_box_html', [$this, 'content'], 10, 4);
    }
    
    public function content($html, $menu_data, $section_key, $element_key) {
        
        $element_data = $menu_data['sections'][$section_key]['elements'][$element_key];
        if (isset($element_data['content'])) {
            ob_start();
            
            echo do_shortcode($element_data['content']);
            
            $html = ob_get_clean();
        }
        
        return $html;
    }

}

new Custom_Content;
