<?php

namespace FoodSearch\Dashboard\Restaurant;

use FoodSearch\Common_Functions;
use FoodSearch\User_Reviews;

class Reviews {

    public function __construct() {
        
        add_filter('foodsearch_restaurant_dash_reviews_html', [$this, 'content'], 10, 4);
    }
    
    public function content($html, $menu_data, $section_key, $element_key) {
        
        $common_functions = new Common_Functions;
        $reviews = new User_Reviews;
        
        $user_id = get_current_user_id();
        
        $restaurant_id = Common_Functions::user_restaurant_id($user_id);
        
        ob_start();
        $reviews->restaurant_reviews_list($restaurant_id);
        $html = ob_get_clean();
        
        return $html;
    }

}

new Reviews;
