<?php
    $cuisine_type = "";
    $arr = array();
    if ( isset($_GET['cuisine']) ) $arr = array_merge($arr, (array) $_GET['cuisine'] );
    $cuisine_type = array('taxonomy' => 'food_cuisine', 'field' => 'term_id', 'terms' => $arr, 'operator' => 'AND' );
  
    $delivery = array('delivery', 'both');
    if ( isset($_GET['delivery']) && $_GET['delivery'] > 0 && $_GET['delivery'] != "undefined" ) {
      $take_away = array('both');
    }
    $take_away = array('takeaway', 'both');
    if ( isset($_GET['take_away']) && $_GET['take_away'] > 0 && $_GET['take_away'] != "undefined" ) {
      $delivery = array('both');
    }
?>
  <li class="fds-list-item">
      <input type="checkbox" name="delivery" value="1" <?= isset($_GET['delivery']) && $_GET['delivery'] == 1 ? 'checked="checked"' : ''; ?> >
      <label class="fds-radio-style"><?php esc_html_e('delivery', 'wp-foodsearch') ?></label>
      <small>
          <?php
          $args = array(
              'post_type'=>'restaurants',
              'posts_per_page' => -1,
              'post_status' => 'publish',
              's' => isset($_GET['keyword']) ? $_GET['keyword'] : '',
              'tax_query' => array('relation' => 'OR', $cuisine_type ),
              'meta_query' => array(array('key' => 'foodsearch_order_process_type', 'value' => $delivery, 'compare' => 'IN'), foodsearch_get_rating_string()),
          );
          $query = new WP_Query( $args );
          echo $total = $query->found_posts;
          ?>
      </small>
  </li>
  <li class="fds-list-item">
  <input type="checkbox" name="take_away" value="1" <?= isset($_GET['take_away']) && $_GET['take_away'] == 1 ? 'checked="checked"' : ''; ?> >
      <label class="fds-radio-style"><?php esc_html_e('take away', 'wp-foodsearch') ?></label>
      <small>
          <?php
          $args = array(
              'post_type'=>'restaurants',
              'posts_per_page' => -1,
              'post_status' => 'publish',
              's' => isset($_GET['keyword']) ? $_GET['keyword'] : '',
              'tax_query' => array('relation' => 'OR', $cuisine_type ),
              'meta_query' => array(array('key' => 'foodsearch_order_process_type', 'value' => $take_away, 'compare' => 'IN'), foodsearch_get_rating_string()),
          );
          $query = new WP_Query( $args );
          echo $total = $query->found_posts;
          ?>
      </small>
  </li>
